@import "variables";
@import "functions";
@import "mixins";

body {
  padding: 0;
}

h1 {
  text-transform: uppercase;
  text-align: center;
  margin-bottom: 50px;
}

.content {
  padding: 50px 15px;

  .section {
    display: none;
  
    &.active {
      display: block;
    }

    form {
      input[type=submit] {
        margin-top: 25px;
      }
    }
  }

  .buttons {
    margin-top: 100px;
  
    .button {
      &.active {
        display: none;
      }
  
      > button,
      > a {
        width: 100%;
        border: none;
        padding: 12px 15px;
        font-size: 20px;
        text-transform: uppercase;
        font-weight: $font-weight-bold;
        color: $body-background;
        cursor: pointer;
        transition: $transition;

        &:hover {
          opacity: 0.6;
        }
      }

      > a {
        display: block;
        text-align: center;
        text-decoration: none;
        background-color: $error;
      }
    
      button[data-section=update],
      button[data-section=change] {
        background-color: $change;
      }
    } 
  }
}